Subject: Re: bug#51829: Better error message for mcron file loading

From: Ludovic Courtès <[email-masked]>
Date: Wed, 17 Nov 2021 17:09:28 +0100

Hi,

Ahmed Khanzada <[email-masked]> skribis:

> I was a bit puzzled why mcron was failing; based on the error, I assumed
> file permissions, and did not realize the actual problem was my faulty
> syntax within a file.
>
> Until we can get more detailed error messages in place, I propose this
> patch to make the current generic error we have slightly more helpful.
>  
> diff --git a/src/mcron/scripts/mcron.scm b/src/mcron/scripts/mcron.scm

Could you send this patch to [email-masked]?

Thanks,
Ludo’.